#!/usr/bin/env ruby
# -*- coding: utf-8 -*-2


printf("-------------------------\n")
printf("      タイマーアプリ     \n")
while true
  printf(" ストップウォッチ[1]\n")
  printf("         タイマー[2]\n")
  printf("           やめる[3]\n")
  printf(" 選択してください\n")
  a = gets.to_i
  if a == 1
    printf(" [ストップウォッチ]\n")
    printf("キーをを押してスタート\n")
    hajime = gets.chomp
    printf("スタート\n")
    printf("キーを押してストップ\n")
    kaisi = Time.now.to_i
    stoppu = gets.chomp
    teisi = Time.now.to_i
    jikan = teisi - kaisi
    printf("タイムは%s秒でした。\n\n",jikan)
  elsif a == 2
    printf(" [タイマー]\n")  
    printf("時間を入力してください。\n")
    matu = gets.to_i
    sleep(matu)
    printf("%s秒立ちました。\n\n",matu)
  else
    break
  end
  sleep(1)
end
printf("-------------------------\n")
